org.eclipse.aether.collection

## Class DependencyManagement

- java.lang.Object
- - org.eclipse.aether.collection.DependencyManagement

-     public final class DependencyManagement
      extends Object

  The management updates to apply to a dependency.
  See Also:
    `DependencyManager.manageDependency(Dependency)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependencyManagement()` Creates an empty management update.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Exclusion>` | `getExclusions()` Gets the new exclusions to apply to the dependency.
    `Boolean` | `getOptional()` Gets the new optional flag to apply to the dependency.
    `Map<String,String>` | `getProperties()` Gets the new properties to apply to the dependency.
    `String` | `getScope()` Gets the new scope to apply to the dependency.
    `String` | `getVersion()` Gets the new version to apply to the dependency.
    `DependencyManagement` | `setExclusions(Collection<Exclusion> exclusions)` Sets the new exclusions to apply to the dependency.
    `DependencyManagement` | `setOptional(Boolean optional)` Sets the new optional flag to apply to the dependency.
    `DependencyManagement` | `setProperties(Map<String,String> properties)` Sets the new properties to apply to the dependency.
    `DependencyManagement` | `setScope(String scope)` Sets the new scope to apply to the dependency.
    `DependencyManagement` | `setVersion(String version)` Sets the new version to apply to the dependency.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DependencyManagement

          public DependencyManagement()

      Creates an empty management update.

  - ### Method Detail

    - #### getVersion

          public String getVersion()

      Gets the new version to apply to the dependency.
      Returns:
        The new version or `null` if the version is not managed and the existing dependency version should remain unchanged.

    - #### setVersion

          public DependencyManagement setVersion(String version)

      Sets the new version to apply to the dependency.
      Parameters:
        `version` - The new version, may be `null` if the version is not managed.
      Returns:
        This management update for chaining, never `null`.

    - #### getScope

          public String getScope()

      Gets the new scope to apply to the dependency.
      Returns:
        The new scope or `null` if the scope is not managed and the existing dependency scope should remain unchanged.

    - #### setScope

          public DependencyManagement setScope(String scope)

      Sets the new scope to apply to the dependency.
      Parameters:
        `scope` - The new scope, may be `null` if the scope is not managed.
      Returns:
        This management update for chaining, never `null`.

    - #### getOptional

          public Boolean getOptional()

      Gets the new optional flag to apply to the dependency.
      Returns:
        The new optional flag or `null` if the flag is not managed and the existing optional flag of the dependency should remain unchanged.

    - #### setOptional

          public DependencyManagement setOptional(Boolean optional)

      Sets the new optional flag to apply to the dependency.
      Parameters:
        `optional` - The optional flag, may be `null` if the flag is not managed.
      Returns:
        This management update for chaining, never `null`.

    - #### getExclusions

          public Collection<Exclusion> getExclusions()

      Gets the new exclusions to apply to the dependency. Note that this collection denotes the complete set of exclusions for the dependency, i.e. the dependency manager controls whether any existing exclusions get merged with information from dependency management or overridden by it.
      Returns:
        The new exclusions or `null` if the exclusions are not managed and the existing dependency exclusions should remain unchanged.

    - #### setExclusions

          public DependencyManagement setExclusions(Collection<Exclusion> exclusions)

      Sets the new exclusions to apply to the dependency. Note that this collection denotes the complete set of exclusions for the dependency, i.e. the dependency manager controls whether any existing exclusions get merged with information from dependency management or overridden by it.
      Parameters:
        `exclusions` - The new exclusions, may be `null` if the exclusions are not managed.
      Returns:
        This management update for chaining, never `null`.

    - #### getProperties

          public Map<String,String> getProperties()

      Gets the new properties to apply to the dependency. Note that this map denotes the complete set of properties, i.e. the dependency manager controls whether any existing properties get merged with the information from dependency management or overridden by it.
      Returns:
        The new artifact properties or `null` if the properties are not managed and the existing properties should remain unchanged.

    - #### setProperties

          public DependencyManagement setProperties(Map<String,String> properties)

      Sets the new properties to apply to the dependency. Note that this map denotes the complete set of properties, i.e. the dependency manager controls whether any existing properties get merged with the information from dependency management or overridden by it.
      Parameters:
        `properties` - The new artifact properties, may be `null` if the properties are not managed.
      Returns:
        This management update for chaining, never `null`.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.